<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-346"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FKeyboardManager%2FXHXTextKeyboardManager.m%20%E6%96%87%E4%BB%B6%E5%8F%82%E8%80%83"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/KeyboardManager/XHXTextKeyboardManager.m 文件参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_text_keyboard_manager_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">类</a> |
<a href="#func-members">函数</a> |
<a href="#var-members">变量</a>  </div>
  <div class="headertitle">
<div class="title">XHXTextKeyboardManager.m 文件参考</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#import &#34;<a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a>&#34;</code><br/>
<code>#import &lt;objc/runtime.h&gt;</code><br/>
</div><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
类</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface___x_h_x_text_keyboard_view_frame_observer.html">_XHXTextKeyboardViewFrameObserver</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Observer for view&#39;s frame/bounds/center/transform  <a href="interface___x_h_x_text_keyboard_view_frame_observer.html#details">更多...</a><br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
函数</h2></td></tr>
<tr class="memitem:ad62ac520d11f2b28c8607820afd9065c"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#ad62ac520d11f2b28c8607820afd9065c">XHXTextIsAppExtension</a> ()</td></tr>
<tr class="separator:ad62ac520d11f2b28c8607820afd9065c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7b31e4b1b1d2e323054fe61a1088a6d0"><td class="memItemLeft" align="right" valign="top">UIApplication *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#a7b31e4b1b1d2e323054fe61a1088a6d0">XHXTextSharedApplication</a> ()</td></tr>
<tr class="separator:a7b31e4b1b1d2e323054fe61a1088a6d0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
变量</h2></td></tr>
<tr class="memitem:a5c42c49216d0199c2ec23de072e7f86e"><td class="memItemLeft" align="right" valign="top">CGRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#a5c42c49216d0199c2ec23de072e7f86e">_fromFrame</a></td></tr>
<tr class="separator:a5c42c49216d0199c2ec23de072e7f86e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a4e25d7403955cf4a163763ac0ea282f5"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#a4e25d7403955cf4a163763ac0ea282f5">_fromVisible</a></td></tr>
<tr class="separator:a4e25d7403955cf4a163763ac0ea282f5"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a65b6248ffb057531f1fe9247a86b5271"><td class="memItemLeft" align="right" valign="top">UIInterfaceOrientation&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#a65b6248ffb057531f1fe9247a86b5271">_fromOrientation</a></td></tr>
<tr class="separator:a65b6248ffb057531f1fe9247a86b5271"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab6da2fc00222a11ccead764ebdaed82f"><td class="memItemLeft" align="right" valign="top">CGRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#ab6da2fc00222a11ccead764ebdaed82f">_notificationFromFrame</a></td></tr>
<tr class="separator:ab6da2fc00222a11ccead764ebdaed82f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:afa77abf0d466d4f9aa360c7c3cddc19a"><td class="memItemLeft" align="right" valign="top">CGRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#afa77abf0d466d4f9aa360c7c3cddc19a">_notificationToFrame</a></td></tr>
<tr class="separator:afa77abf0d466d4f9aa360c7c3cddc19a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2e05d81fbbdd32dbbfc787a371ef65f7"><td class="memItemLeft" align="right" valign="top">NSTimeInterval&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#a2e05d81fbbdd32dbbfc787a371ef65f7">_notificationDuration</a></td></tr>
<tr class="separator:a2e05d81fbbdd32dbbfc787a371ef65f7"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a681534c5fb7511e7ade4254052500c3c"><td class="memItemLeft" align="right" valign="top">UIViewAnimationCurve&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#a681534c5fb7511e7ade4254052500c3c">_notificationCurve</a></td></tr>
<tr class="separator:a681534c5fb7511e7ade4254052500c3c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad0428514766fa4ba70e4e1929335f5dc"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#ad0428514766fa4ba70e4e1929335f5dc">_hasNotification</a></td></tr>
<tr class="separator:ad0428514766fa4ba70e4e1929335f5dc"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a49525ed949ab3c5a97809f1a8dcbb563"><td class="memItemLeft" align="right" valign="top">CGRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#a49525ed949ab3c5a97809f1a8dcbb563">_observedToFrame</a></td></tr>
<tr class="separator:a49525ed949ab3c5a97809f1a8dcbb563"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abccee6ddba6ef7510ebbe63ba3328176"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#abccee6ddba6ef7510ebbe63ba3328176">_hasObservedChange</a></td></tr>
<tr class="separator:abccee6ddba6ef7510ebbe63ba3328176"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:afa1e10908bab765097e7bc6686b28c40"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html#afa1e10908bab765097e7bc6686b28c40">_lastIsNotification</a></td></tr>
<tr class="separator:afa1e10908bab765097e7bc6686b28c40"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数说明</h2>
<a id="ad62ac520d11f2b28c8607820afd9065c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad62ac520d11f2b28c8607820afd9065c">◆&nbsp;</a></span>XHXTextIsAppExtension()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">BOOL XHXTextIsAppExtension </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a7b31e4b1b1d2e323054fe61a1088a6d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b31e4b1b1d2e323054fe61a1088a6d0">◆&nbsp;</a></span>XHXTextSharedApplication()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">UIApplication* XHXTextSharedApplication </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">变量说明</h2>
<a id="a5c42c49216d0199c2ec23de072e7f86e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c42c49216d0199c2ec23de072e7f86e">◆&nbsp;</a></span>_fromFrame</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">CGRect _fromFrame</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<b>初始值:</b><div class="fragment"><div class="line">{</div>
<div class="line">    NSHashTable *_observers</div>
</div><!-- fragment -->
</div>
</div>
<a id="a65b6248ffb057531f1fe9247a86b5271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65b6248ffb057531f1fe9247a86b5271">◆&nbsp;</a></span>_fromOrientation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">UIInterfaceOrientation _fromOrientation</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e25d7403955cf4a163763ac0ea282f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e25d7403955cf4a163763ac0ea282f5">◆&nbsp;</a></span>_fromVisible</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">BOOL _fromVisible</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ad0428514766fa4ba70e4e1929335f5dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0428514766fa4ba70e4e1929335f5dc">◆&nbsp;</a></span>_hasNotification</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">BOOL _hasNotification</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="abccee6ddba6ef7510ebbe63ba3328176"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abccee6ddba6ef7510ebbe63ba3328176">◆&nbsp;</a></span>_hasObservedChange</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">BOOL _hasObservedChange</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="afa1e10908bab765097e7bc6686b28c40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa1e10908bab765097e7bc6686b28c40">◆&nbsp;</a></span>_lastIsNotification</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">BOOL _lastIsNotification</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a681534c5fb7511e7ade4254052500c3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a681534c5fb7511e7ade4254052500c3c">◆&nbsp;</a></span>_notificationCurve</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">UIViewAnimationCurve _notificationCurve</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a2e05d81fbbdd32dbbfc787a371ef65f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e05d81fbbdd32dbbfc787a371ef65f7">◆&nbsp;</a></span>_notificationDuration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">NSTimeInterval _notificationDuration</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6da2fc00222a11ccead764ebdaed82f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6da2fc00222a11ccead764ebdaed82f">◆&nbsp;</a></span>_notificationFromFrame</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">CGRect _notificationFromFrame</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="afa77abf0d466d4f9aa360c7c3cddc19a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa77abf0d466d4f9aa360c7c3cddc19a">◆&nbsp;</a></span>_notificationToFrame</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">CGRect _notificationToFrame</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a49525ed949ab3c5a97809f1a8dcbb563"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49525ed949ab3c5a97809f1a8dcbb563">◆&nbsp;</a></span>_observedToFrame</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">CGRect _observedToFrame</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_eb9f6304be17a12e3b483b042ed3323c.html">KeyboardManager</a></li><li class="navelem"><a class="el" href="_x_h_x_text_keyboard_manager_8m.html">XHXTextKeyboardManager.m</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>